Gatana logoGatana Docs
RoutesMcp serversServerslugToolsToolname

/mcp-servers/{serverSlug}/tools/{toolName}

Update a single tool of an MCP server

PATCH
/mcp-servers/{serverSlug}/tools/{toolName}
AuthorizationBearer <token>

In: header

Path Parameters

serverSlug*string
toolName*string

Request Body

application/json

descriptionOverride?string

Replacement description, applied when overrideDescription is true

inputSchemaOverride?object

Replacement input schema, applied when overrideInputSchema is true

overrideDescription?boolean

Whether descriptionOverride replaces the original description

overrideInputSchema?|

Whether inputSchemaOverride replaces the original input schema

overrideToolName?boolean

Whether toolNameOverride replaces the original tool name

toolNameOverride?string

Replacement tool name, applied when overrideToolName is true

isEnabled?boolean

Whether the tool is enabled and exposed to clients

Response Body

application/json

curl -X PATCH "https://YOUR_ORG_ID.gatana.ai/api/v1/mcp-servers/string/tools/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "tenantId": "string",
  "toolName": "string",
  "description": "string",
  "schema": {},
  "outputSchema": {},
  "annotations": {},
  "isEnabled": true,
  "toolNameOverride": "string",
  "descriptionOverride": "string",
  "inputSchemaOverride": {},
  "overrideToolName": true,
  "overrideDescription": true,
  "overrideInputSchema": true,
  "serverSlug": "string",
  "universalName": "string"
}